Author Topic: Package update failing on Peppermint 10.0.0  (Read 1043 times)

Offline bobpace

  • Newly Subscribed
  • *
  • Posts: 5
  • Karma: 0
  • New To PeppermintOS
    • View Profile
  • Peppermint version(s): Peppermint 10 respin
Package update failing on Peppermint 10.0.0
« on: September 24, 2020, 02:32:29 am »
I have been using Peppermint 10 for some months now to allow calibre to update my Nook Plus HD ereader. Microsoft have stopped windows 10 from recognizing the device and B&N seem to have abandoned the device too.

All has been fine under Peppermint but every few months I like to let the update process run from the icon in the task bar.
In the last few weeks this has been failing. With a generic error and advising me to check the details. The output in details
is as follows

Preconfiguring packages ...
dpkg: unrecoverable fatal error, aborting:
 reading files list for package 'linux-modules-extra-5.4.0-42-generic': Input/output error
E: Sub-process /usr/bin/dpkg returned an error code (2)
A package failed to install.  Trying to recover:


Is there any advice on how I can recover this or should I just get the latest image and reinstall?

Thanks,
BP

Offline josephd

  • Administrator
  • Member
  • *****
  • Posts: 745
  • Karma: 248
  • Peppermint OS Website Admin
    • View Profile
    • LinuxBookPro
  • Peppermint version(s): Peppermint 10
Re: Package update failing on Peppermint 10.0.0
« Reply #1 on: September 24, 2020, 10:46:36 pm »
I can't think of the cause or solution. However, I would suggest backing up your user directory and any files to a second drive. Just in case you are forced to perform a clean install later.
Joseph Dickson | www.linuxbookpro.com | www.joseph-dickson.com | https://twitter.com/joe4ska - "I also enjoy Debian Stable, Pop!_OS, and Trisquel."

Offline invisible

  • Jr. Member
  • **
  • Posts: 27
  • Karma: 8
  • Peppermint & Ubuntu
    • View Profile
  • Peppermint version(s): 10
Re: Package update failing on Peppermint 10.0.0
« Reply #2 on: September 25, 2020, 08:04:09 am »
Preconfiguring packages ...
dpkg: unrecoverable fatal error, aborting:
 reading files list for package 'linux-modules-extra-5.4.0-42-generic': Input/output error
E: Sub-process /usr/bin/dpkg returned an error code (2)
A package failed to install.  Trying to recover:


Is there any advice on how I can recover this or should I just get the latest image and reinstall?

Are you using kernel 5.4.0-42?

You can check your current kernel in use with the terminal command:-
Code: [Select]
uname -a
My current kernel is 5.4.0-48.
I am hoping that you are not using 5.4.0-42 and the package could be removed providing you are using a newer linux image.


Offline bobpace

  • Newly Subscribed
  • *
  • Posts: 5
  • Karma: 0
  • New To PeppermintOS
    • View Profile
  • Peppermint version(s): Peppermint 10 respin
Re: Package update failing on Peppermint 10.0.0
« Reply #3 on: September 26, 2020, 11:24:53 pm »
I can't think of the cause or solution. However, I would suggest backing up your user directory and any files to a second drive. Just in case you are forced to perform a clean install later.

Thanks josephd. The only stuff that is not generic on this client is my calibre library. About to back that up now and expect that I will try a rebuild.

Many years providing support in a large corporation.

1) Have you tried turning it off an on again?

2) Can you recreate the problem with a clean rebuild?

Oh well. Projects help covid pass more quickly.

Regards,
BP

Offline bobpace

  • Newly Subscribed
  • *
  • Posts: 5
  • Karma: 0
  • New To PeppermintOS
    • View Profile
  • Peppermint version(s): Peppermint 10 respin
Re: Package update failing on Peppermint 10.0.0
« Reply #4 on: September 26, 2020, 11:28:21 pm »
Preconfiguring packages ...
dpkg: unrecoverable fatal error, aborting:
 reading files list for package 'linux-modules-extra-5.4.0-42-generic': Input/output error
E: Sub-process /usr/bin/dpkg returned an error code (2)
A package failed to install.  Trying to recover:


Is there any advice on how I can recover this or should I just get the latest image and reinstall?

Are you using kernel 5.4.0-42?

You can check your current kernel in use with the terminal command:-
Code: [Select]
uname -a
My current kernel is 5.4.0-48.
I am hoping that you are not using 5.4.0-42 and the package could be removed providing you are using a newer linux image.
Thanks for the reply.

My current kernel is 5.4.0-42.

So far as I recall calibre is the only package other than the generic install that I have in this build.

Kind regards,
BP

Offline invisible

  • Jr. Member
  • **
  • Posts: 27
  • Karma: 8
  • Peppermint & Ubuntu
    • View Profile
  • Peppermint version(s): 10
Re: Package update failing on Peppermint 10.0.0
« Reply #5 on: September 27, 2020, 02:42:13 am »
As you have only installed calibre, then it may be the calibre itself or dependencies causing the problem.
Synaptic tells me that 58 new packages are required when you install calibre and it would be difficult to identify and remove all those packages individually.

I would try the following (only because I have some free time  ;)):-

Boot into a previous kernel or install a later one (via synaptic)

If that shows no improvement:-

Remove calibre and dependencies

Code: [Select]
sudo apt remove calibre
sudo apt purge calibre
sudo apt autoremove

Again, if the problem persists:-

Reinstall (because it's often quicker than trying to identify and repair the error)

Whatever you try, please have backups of your data at all times.

Good luck

Offline Slim.Fatz

  • Global Moderator
  • Veteran
  • *****
  • Posts: 2373
  • Karma: 623
  • Where's the mouse?
    • View Profile
  • Peppermint version(s): Peppermint 7, 8.5 & 10 - 64bit
Re: Package update failing on Peppermint 10.0.0
« Reply #6 on: September 27, 2020, 02:55:59 am »
Hi bobpace,

I agree with the last posting by invisible. Also note that the current kernel is 5.4.0-48 so that updating your system to the current kernel is definitely worth trying as well.  ;)

Regards,

-- Slim
Respect science, respect nature, respect each other.

Tread lightly: Fluxbox, JWM, i3, Openbox, awesome

Offline rayzer

  • Trusted User
  • Member
  • *****
  • Posts: 422
  • Karma: 160
  • Graphics n Stuff
    • View Profile
  • Peppermint version(s): 10 Respin
Re: Package update failing on Peppermint 10.0.0
« Reply #7 on: September 27, 2020, 07:44:42 am »
try searching synaptic for linux-image, remove the packages related to the troublesome kernel then close synaptic and reboot your machine. then run sudo apt autoclean && sudo apt autoremove. see if that helps your problem
For wallpapers ive made you can download them here

Offline Slim.Fatz

  • Global Moderator
  • Veteran
  • *****
  • Posts: 2373
  • Karma: 623
  • Where's the mouse?
    • View Profile
  • Peppermint version(s): Peppermint 7, 8.5 & 10 - 64bit
Re: Package update failing on Peppermint 10.0.0
« Reply #8 on: September 27, 2020, 12:10:04 pm »
Hi bobpace,

What @rayzer suggests will ONLY work if you have more than one kernel version installed!! Otherwise you will end up with no kernel at all and you will be forced to reinstall.  ;)

So to be on the safe side, update your system (that will install at least the kernel 5.4.0-48 beside the kernel that you said is currently installed (5.4.0-42). Then reboot and see if your problem has been resolved.

Regards,

-- Slim
Respect science, respect nature, respect each other.

Tread lightly: Fluxbox, JWM, i3, Openbox, awesome

Offline alynur

  • Trusted User
  • Veteran
  • *****
  • Posts: 1275
  • Karma: 137
  • Habitual Forum Browser
    • View Profile
  • Peppermint version(s): P 9R (64bit), P 10
Re: Package update failing on Peppermint 10.0.0
« Reply #9 on: September 29, 2020, 03:46:30 pm »
One thing I do when I have update problems is change my software source to a different mirror. This has worked for me several times, has also aided when the update downloads would reduce to a crawl.
What was I thinking?